org.h2.engine

## Class MetaRecord

- java.lang.Object
- - org.h2.engine.MetaRecord

All Implemented Interfaces:
  java.lang.Comparable<MetaRecord>

    public class MetaRecord
    extends java.lang.Object
    implements java.lang.Comparable<MetaRecord>

A record in the system table of the database. It contains the SQL statement to create the database object.

### Constructor Summary

Constructors
Constructor and Description
`MetaRecord(SearchRow r)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compareTo(MetaRecord other)` Sort the list of meta records by 'create order'.
`int` `getId()`
`int` `getObjectType()`
`java.lang.String` `getSQL()`
`static void` `populateRowFromDBObject(DbObject obj, SearchRow r)` Copy metadata from the specified object into specified search row.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaRecord

    public MetaRecord(SearchRow r)

### Method Detail

#### populateRowFromDBObject

    public static void populateRowFromDBObject(DbObject obj,
                                               SearchRow r)

Copy metadata from the specified object into specified search row.

Parameters:
  `obj` - database object
  `r` - search row

#### getId

    public int getId()

#### getObjectType

    public int getObjectType()

#### getSQL

    public java.lang.String getSQL()

#### compareTo

    public int compareTo(MetaRecord other)

Sort the list of meta records by 'create order'.

Specified by:
  `compareTo` in interface `java.lang.Comparable<MetaRecord>`
Parameters:
  `other` - the other record
Returns:
  -1, 0, or 1

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`